Nautilus-MOD (deprecated)

GTK2 Themes

Source (link to git-repo or to original if based on someone elses unmodified work): Add the source-code for this project on opencode.net

14
Score 46.0%
Description:

all the changes in the nautilus-mod now are implemented in nautilus-elementary, with a lot of new options and tweaks from ammonkey, so you better get the new awesome nautilus elementary... the themes elementary-mod and osliner-mod still working with nautilus-elementary.

thanks a lot to ammonkey for his great work: http://ammonkey.posterous.com/

how install nautilus-elementary:
http://www.webupd8.org/2010/04/install-nautilus-elementary-230-in.html

gitiret

9 years ago

Thanks. I really waited for something like this!

Report

asl2690

9 years ago

saludos jecovier muy bueno tu mod pero al instalarlo no me muestra las thumbnails de los archivos igual te pasa?

Report

C

jecovier

9 years ago

hola, no habia visto tu comentario, a mi si me salen los thumbnails, prueba mirando en la configuracion de vista previa de nautilus, pero te sugiero que instales el nautilus-elementary que esta genial, incluye estos y muchos otros cambios... saludos

Report

cape

9 years ago

Wery well done! It still lack the ability to type in paths, but nice looking ;-).

But more important! what kind of fonts/fonts hinting are you using in those screenshots?

Report

C

jecovier

9 years ago

thanks, the font i think is liberation, come with fedora and ubuntu, and you can press ctrl+l to get access to the location textbox

Report

cape

9 years ago

Cheers ;-) Didn't know about that shortcut.
I also have liberation, so it must be a different font hinting lib.

Report

manueru

9 years ago

hola, bajé y descomprimi, pero al hacer ./configure me sale esto:

checking for ALL... configure: error: Package requirements (
glib-2.0 >= 2.24.0
gnome-desktop-2.0 >= 2.29.91
gthread-2.0
gio-unix-2.0
gio-2.0
pango >= 1.1.2
gtk+-2.0 >= 2.20.0
libxml-2.0 >= 2.4.7
gail >= 0.16
unique-1.0
dbus-glib-1
) were not met:

No package 'glib-2.0' found
No package 'gnome-desktop-2.0' found
No package 'gthread-2.0' found
No package 'gio-unix-2.0' found
No package 'gio-2.0' found
No package 'pango' found
No package 'gtk+-2.0' found
No package 'libxml-2.0' found
No package 'gail' found
No package 'unique-1.0' found
No package 'dbus-glib-1' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables ALL_CFLAGS
and ALL_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.



y sin embargo los paquetes estan!

Report

C

jecovier

9 years ago

el problema es:

checking for ALL... configure: error: Package requirements (
glib-2.0 >= 2.24.0
gnome-desktop-2.0 >= 2.29.91

lo que veo en el resultado del ./configure es que estas usando una version anterior de gnome posiblemente la 2.29, la version de nautilus es la 2.30, que solo funciona con gnome-2.30, por lo que tendrias que actualizar gnome.

Report

koxmoz

9 years ago

tenes que instalas los paquetes devel tanto de libunique-devel como gnome-desktop-devel·!·!· y asi con los paquetes que diga que no encuentra·!·!·

Report

manueru

9 years ago

no, efectivamente estoy usando gnome 2.30, ubuntu lucid beta 2, sera eso? y es de 64 bits

Report

C

jecovier

9 years ago

mmm, puede ser, yo tengo la beta 2 de lucid me imagino que debe ser por los 64 bits aunque no veo por que te bota el error de los requerimientos... de repente si te bajas la version de 64 bits de Nautilus directamente desde gnome-ftp, y a esa version le añades los cambios, podria funcionar

Report

manueru

9 years ago

mmm entiendo, me bajo la version de ftp pero que archivos reemplazo? tambien me baje el alien y converti el tar en .deb e instalo sin problemas pero no hubo cambios en nautilus :(

PD: Mientras escribia me baje la version del ftp e incluso esa me tira los mismos errores... tal vez no deba instalar este nautilus D:

Report

julkie

9 years ago

oye disculpa, soy usuario de archlinux y pues ya instale tu mod(se ve muy bienpor cierto) pero no puedo hacer funcionar la pestaña de tweaks, me sale todo desactivado en todos grises, no sabes a que se deba?

Report

C

jecovier

9 years ago

la verdad no, tendría que bajarme archlinux e instalarlo para ver que sucede, apenas lo pueda corregir elevaría la corrección

Report

Naatan

9 years ago

Looking nice, I love how you made it so that features can easily be enabled / disabled.

One bug I ran into is that when the window gets too small (say <400 pixels) the view switcher stops functioning (it just shows a downward arrow that says "view as" when pressed and doesnt do anything).

Also, can you give any info on how to the visual to look like it does for you on other themes? I am familiar with Gimp so I don't mind messing around a bit ..

Thanks!

Report

C

jecovier

9 years ago

open /home/yourusername/.themes/RadianceOsliner/gtk-2.0/

there is a nautilus foldre that contain all the gtkrc tweaks and images, in other themes you can easily copy and paste this folder and in the theme's gtkrc add this line to the end of the file:

include "nautilus/nautilus.rc"

you can replace the image to fit with the theme like in the nautilus-mod

Report

demikid

9 years ago

that changed the breadcrumbs appearance only.The drop down menu for changing icon view has been replaced by "view as" menu.Anyone has a fix for this?

Report

Naatan

9 years ago

That's a bug.. you get the regular menu if the window is big enough (400px + it seems)

Report

Asturbal

9 years ago

Well, i have find a problem:
When i press Alt+M to hide the menu, open the Bookmarks menu. It's the same minemonic key (in my language it's called Marcações).

Report

C

jecovier

9 years ago

well, it's not a bug at all jajaja... this feature it's from nautilus-elementary, i don't implemented in this mod, but you are happy to know that the developer is working now to merge some feature from this mod in the new nautilus-elementary

Report

maiden2

9 years ago

Hi, I've already posted 2 days ago about the same problem, but cos' you said that the link is working again, I've to say that you're wrong, and I suggest you to change the uploader service

best regards
Alex

Report

Naatan

9 years ago

Link wont work for me either :( Please fix .. looks awesome! :)

Report

damumbl

9 years ago

This seems to be nice work, trying it out right now.
But why don't you just host a PATCH right here on this site?!

I made a patch from your sources against nautilus-2.30 and bzipped it and the result has 8 kB. You can easily host that here, no need to host 8 MB at some crappy file hoster.

Report

C

jecovier

9 years ago

well, because it's the first time that i made something in linux and i don't know about PATCH's, could you help me? it will be great to host in gnome-look

Report

damumbl

9 years ago

Sure … Here is a short introduction to patches: http://www.kegel.com/academy/opensource.html#patches

Here's what I would do:
* Rename your modified nautilus source folder to nautilus-2.30.0.new
* Download a fresh copy of nautilus 2.30.0 from GNOME FTP and decompress it
* In a shell run `diff -Naur nautilus-2.30.0 nautilus-2.30.0.new > nautilus-mod.patch`
* bzip2 nautilus-mod.patch and upload it here

Other users who want to use it have to download nautilus-2.30.0.tar.bz2 from GNOME FTP and your patch, decompress both. Then 'cd nautilus-2.30.0 && patch -Np1 -i ../nautilus-mod.patch` before using the usual ./configure, make, make install.

Patches contain only the differences you made and are therefore very small compared to the whole source. They are also used in most open source project's bugtrackers.

Hope this helps.

Report

12345678910
1
product-maker rogerramjet Dec 16 2010 3 bad
product-maker Base: 4 x 5.0 Ratings
mickyz
Apr 20 2010
hotice
Apr 19 2010
vs8
Apr 12 2010
jarryson
Apr 10 2010
zhuqin
Apr 08 2010
SorinN
Apr 08 2010
metaladicto1
Apr 07 2010
iguruspain
Mar 18 2010
KYRN
Mar 18 2010
nenelinux
Mar 16 2010
Farliec
Mar 16 2010
deusnova
Mar 16 2010
elvisd
Mar 16 2010
LuxieRayku
Mar 16 2010
File (click to download) Version Description Downloads Date Filesize DL OCS-Install MD5SUM
*Needs pling-store or ocs-url to install things
Pling
0 Affiliates
Details
license
version
0.2.2
updated Apr 19 2010
added Mar 15 2010
downloads 24h
0
pageviews 24h 5